<?php

error_reporting(E_PARSE);
$img=@$_SERVER['QUERY_STRING'];
$mini=substr($img, 0, 7);
if($mini!="http://" and $mini!="Http://" and $mini!="HTTP://");

$array=explode(".", $img);
$type=$array[1];

function resizeimage($name, $type, $w, $h)
{
$ratio=$w/$h;
$size_image=getimagesize($name);
if(($size_image[0]<$w) && ($size_image[1]<$h))
RETURN TRUE;
$src_ratio=$size_image[0]/$size_image[1];
if($ratio<$src_ratio)
$h=$w/$src_ratio;
else $w=$h*$src_ratio;
$destroy=imagecreatetruecolor($w, $h);

if(strtolower($type)=="jpg") $src_image=imagecreatefromjpeg($name);
elseif(strtolower($type)=="gif") $src_image=imagecreatefromgif($name);
else $src_image=imagecreatefrompng($name);

if(!@imagecopyresampled($destroy, $src_image, 0, 0, 0, 0, $w, $h, $size_image[0], $size_image[1])) return false;

if(strtolower($type)=="jpg")
{
header("Content-type: image/jpeg");
imagejpeg($destroy);
}
if(strtolower($type)=="gif")
{
header("Content-type: image/gif");
imagegif($destroy);
}
 if(strtolower($type)=="png")
{
header("Content-type: image/png");
imagepng($destroy);
}
imagedestroy($destroy);
imagedestroy($src_image);
return TRUE;
}

resizeimage($img, $type, 20, 20);

?>